<?php
include_once 'includes.php';
if(isset($_POST) and $_SERVER['REQUEST_METHOD'] == "POST") {
   $user_case = $_POST['user_case'];
   // Check the Unicode character 
   $user_case_check = preg_match('/^(\p{L}|\p{N})[(\p{L}|\p{N}) _.-]+$/u', $user_case);
   if(strlen($user_case)>0 && $user_case_check>0 ) {
	   // If user case and unicode character is not 0
	   // Insert the case
      $changeUserCase=$Mat->Change_User_Case($uid,$user_case);
      if($changeUserCase){
         $msg="<span class='succ'>Profile details updated.</span>";
         include('public.php');
        }
        } else {
         $msg="<span class='error'>Please give valid Name and About Me.</span>";
   }
}
?>